Search Results for

Show / Hide Table of Contents

# Class AllViewsTester

##### Inheritance

System.Object
Scenario
AllViewsTester

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Top
Scenario.Win
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose(Boolean)
Scenario.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("All Views Tester", "Provides a test UI for all classes derived from View.")]
    [Scenario.ScenarioCategory("Layout")]
    [Scenario.ScenarioCategory("Tests")]
    [Scenario.ScenarioCategory("Top Level Windows")]
    public class AllViewsTester : Scenario, IDisposable

### Methods

#### Init(Toplevel, ColorScheme)

##### Declaration

    public override void Init(Toplevel top, ColorScheme colorScheme)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | top |
ColorScheme | colorScheme |

##### Overrides

Scenario.Init(Toplevel, ColorScheme)

#### Run()

##### Declaration

    public override void Run()

##### Overrides

Scenario.Run()

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable